diff -rupN debian.old/changelog debian/changelog
--- debian.old/changelog	2013-01-05 22:11:50.000000000 +0100
+++ debian/changelog	2013-05-12 14:52:10.866587706 +0200
@@ -1,3 +1,17 @@
+cryptsetup (2:1.6.1-1.1) UNRELEASED; urgency=low
+
+  * NOT RELEASED YET
+
+  * Non-maintainer upload.
+  * update to upstream package 1.6.1
+  * default LUKS encryption mode is now XTS (aes-xts-plain64)
+  * add native support for activation of Truecrypt and compatible on-disk format
+  * add benchmark command
+  * add veritysetup, tool for dm-verity block device verification kernel module
+  * add cryptsetup-reencrypt, tool to offline reencrypt LUKS device
+
+ -- Milan Broz <gmazyland@gmail.com>  Sat, 11 May 2013 19:43:07 +0200
+
 cryptsetup (2:1.4.3-5) unstable; urgency=low
 
   * NOT RELEASED YET
diff -rupN debian.old/control debian/control
--- debian.old/control	2013-01-05 22:11:50.000000000 +0100
+++ debian/control	2013-05-12 14:15:37.000000000 +0200
@@ -90,3 +90,19 @@ Description: disk encryption support - s
  Setup (LUKS) support.
  .
  This udeb package provides libcryptsetup for the Debian Installer.
+
+Package: cryptsetup-reencrypt
+Section: admin
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcryptsetup4 (>= 2:1.6)
+Description: disk encryption support - offline reencryption tool
+ Cryptsetup-reencrypt provides a tool which can be used for offline
+ reencryption of LUKS disk in situ.
+
+Package: veritysetup
+Section: admin
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: tool to setup dm-verity
+ Veritysetup provides an interface for configuring data verification
+ on block devices using dm-verity kernel module.
diff -rupN debian.old/copyright debian/copyright
--- debian.old/copyright	2012-06-11 21:49:20.000000000 +0200
+++ debian/copyright	2013-05-12 14:27:40.000000000 +0200
@@ -1,11 +1,12 @@
 Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
-Upstream-Contact: Milan Broz <mbroz@redhat.com>
+Upstream-Contact: Milan Broz <gmazyland@gmail.com>
 Source: http://code.google.com/p/cryptsetup
 
 Files: *
 Copyright: Â© 2004      Christophe Saout <christophe@saout.de>
            Â© 2004-2008 Clemens Fruhwirth <clemens@endorphin.org>
-           Â© 2008-2010 Milan Broz <mbroz@redhat.com>
+           Â© 2008-2012 Red Hat, Inc.
+           Â© 2008-2013 Milan Broz <gmazyland@gmail.com>
 License: GPL-2+
 
 Files: debian/*
@@ -13,6 +14,7 @@ Copyright: Â© 2004-2005 Wesley W. Terpst
            Â© 2005-2006 Michael Gebetsroither <michael.geb@gmx.at>
            Â© 2006-2008 David HÃ¤rdeman <david@hardeman.nu>
            Â© 2005-2010 Jonas Meurer <jonas@freesources.org>
+           Â© 2013      Milan Broz <gmazyland@gmail.com>
 License: GPL-2+
 
 Files: debian/askpass.c debian/passdev.c
diff -rupN debian.old/cryptsetup.docs debian/cryptsetup.docs
--- debian.old/cryptsetup.docs	2012-02-07 16:11:32.000000000 +0100
+++ debian/cryptsetup.docs	2013-05-12 14:43:56.000000000 +0200
@@ -1,5 +1,6 @@
 AUTHORS
 FAQ
+docs/*ReleaseNotes
 debian/README.keyctl
 debian/README.gnupg
 debian/README.initramfs
diff -rupN debian.old/cryptsetup-reencrypt.dirs debian/cryptsetup-reencrypt.dirs
--- debian.old/cryptsetup-reencrypt.dirs	1970-01-01 01:00:00.000000000 +0100
+++ debian/cryptsetup-reencrypt.dirs	2013-05-12 11:10:43.000000000 +0200
@@ -0,0 +1,2 @@
+/sbin
+/usr/share/man/man8
diff -rupN debian.old/libcryptsetup4.symbols debian/libcryptsetup4.symbols
--- debian.old/libcryptsetup4.symbols	2013-01-05 22:11:50.000000000 +0100
+++ debian/libcryptsetup4.symbols	2013-05-12 11:54:33.000000000 +0200
@@ -4,6 +4,8 @@ libcryptsetup.so.4 libcryptsetup4 #MINVE
  crypt_activate_by_keyfile_offset@CRYPTSETUP_1.0 2:1.4.3
  crypt_activate_by_passphrase@CRYPTSETUP_1.0 2:1.4
  crypt_activate_by_volume_key@CRYPTSETUP_1.0 2:1.4
+ crypt_benchmark@CRYPTSETUP_1.0 2:1.6
+ crypt_benchmark_kdf@CRYPTSETUP_1.0 2:1.6
  crypt_deactivate@CRYPTSETUP_1.0 2:1.4
  crypt_dump@CRYPTSETUP_1.0 2:1.4
  crypt_format@CRYPTSETUP_1.0 2:1.4
@@ -19,6 +21,7 @@ libcryptsetup.so.4 libcryptsetup4 #MINVE
  crypt_get_rng_type@CRYPTSETUP_1.0 2:1.4
  crypt_get_type@CRYPTSETUP_1.0 2:1.4
  crypt_get_uuid@CRYPTSETUP_1.0 2:1.4
+ crypt_get_verity_info@CRYPTSETUP_1.0 2:1.5
  crypt_get_volume_key_size@CRYPTSETUP_1.0 2:1.4
  crypt_header_backup@CRYPTSETUP_1.0 2:1.4
  crypt_header_restore@CRYPTSETUP_1.0 2:1.4
@@ -29,6 +32,8 @@ libcryptsetup.so.4 libcryptsetup4 #MINVE
  crypt_keyslot_add_by_keyfile_offset@CRYPTSETUP_1.0 2:1.4.3
  crypt_keyslot_add_by_passphrase@CRYPTSETUP_1.0 2:1.4
  crypt_keyslot_add_by_volume_key@CRYPTSETUP_1.0 2:1.4
+ crypt_keyslot_area@CRYPTSETUP_1.0 2:1.6
+ crypt_keyslot_change_by_passphrase@CRYPTSETUP_1.0 2:1.6
  crypt_keyslot_destroy@CRYPTSETUP_1.0 2:1.4
  crypt_keyslot_max@CRYPTSETUP_1.0 2:1.4
  crypt_keyslot_status@CRYPTSETUP_1.0 2:1.4
diff -rupN debian.old/libcryptsetup-dev.docs debian/libcryptsetup-dev.docs
--- debian.old/libcryptsetup-dev.docs	1970-01-01 01:00:00.000000000 +0100
+++ debian/libcryptsetup-dev.docs	2013-05-12 14:44:35.000000000 +0200
@@ -0,0 +1 @@
+docs/examples
diff -rupN debian.old/rules debian/rules
--- debian.old/rules	2013-01-05 22:11:50.000000000 +0100
+++ debian/rules	2013-05-12 14:57:45.591841868 +0200
@@ -43,7 +43,8 @@ configure-stamp:
 		--libdir=/lib \
 		--sbindir=/sbin \
 		--mandir=/usr/share/man \
-		--enable-shared
+		--enable-shared \
+		--enable-cryptsetup-reencrypt
 	find -xtype f >manifest.new
 	diff manifest manifest.new | grep '>' | cut -b3- >config.mess
 	touch $@
@@ -167,6 +168,15 @@ binary-arch: build install
 	cp -a $(CURDIR)/debian/cryptsetup-bin/sbin/cryptsetup $(CURDIR)/debian/cryptsetup-udeb/sbin/
 	# Copy relevant parts to libcryptsetup4-udeb package
 	cp -a $(CURDIR)/debian/libcryptsetup4/lib $(CURDIR)/debian/libcryptsetup4-udeb/
+
+	# Install veritysetup and reencrypt tool
+	dh_movefiles -pveritysetup --sourcedir=debian/cryptsetup-bin \
+		sbin/veritysetup \
+		usr/share/man/man8/veritysetup.8
+	dh_movefiles -pcryptsetup-reencrypt --sourcedir=debian/cryptsetup-bin \
+		sbin/cryptsetup-reencrypt \
+		usr/share/man/man8/cryptsetup-reencrypt.8
+
 	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
diff -rupN debian.old/veritysetup.dirs debian/veritysetup.dirs
--- debian.old/veritysetup.dirs	1970-01-01 01:00:00.000000000 +0100
+++ debian/veritysetup.dirs	2013-05-12 11:10:29.000000000 +0200
@@ -0,0 +1,2 @@
+/sbin
+/usr/share/man/man8
